# TdApi.RemoveTopChat (tdlight API 4.0.177 API)
declaration: module: tdlight.api, package: it.tdlight.jni, class: TdApi, class: RemoveTopChat

Module tdlight.api
Package it.tdlight.jni

# Class TdApi.RemoveTopChat

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.Function<TdApi.Ok>
it.tdlight.jni.TdApi.RemoveTopChat

Enclosing class:
  TdApi

public static final class TdApi.RemoveTopChat extends TdApi.Function<TdApi.Ok>
Removes a chat from the list of frequently used chats. Supported only if the chat info database is enabled.

Returns `Ok`

## Field Summary

Fields
Modifier and Type
Field
Description
`TdApi.TopChatCategory`
`category`
Category of frequently used chats.
`long`
`chatId`
Chat identifier.
`static final int`
`CONSTRUCTOR`

## Constructor Summary

Constructors
Constructor
Description
`RemoveTopChat()`
Removes a chat from the list of frequently used chats.
`RemoveTopChat(TdApi.TopChatCategory category, long chatId)`
Removes a chat from the list of frequently used chats.
`RemoveTopChat(DataInput input)`
Removes a chat from the list of frequently used chats.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`

### Methods inherited from class it.tdlight.jni.TdApi.Function

`toString`

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### category

public TdApi.TopChatCategory category
Category of frequently used chats.

### chatId

public long chatId
Chat identifier.

### CONSTRUCTOR

public static final int CONSTRUCTOR

See Also:
  - Constant Field Values

## Constructor Details

### RemoveTopChat

public RemoveTopChat()
Removes a chat from the list of frequently used chats. Supported only if the chat info database is enabled.

Returns `Ok`

### RemoveTopChat

public RemoveTopChat(TdApi.TopChatCategory category, long chatId)
Removes a chat from the list of frequently used chats. Supported only if the chat info database is enabled.

Returns `Ok`

Parameters:
  `category` - TopChatCategory Category of frequently used chats.
  `chatId` - long Chat identifier.

### RemoveTopChat

public RemoveTopChat(DataInput input) throws IOException
Removes a chat from the list of frequently used chats. Supported only if the chat info database is enabled.

Returns `Ok`

Throws:
  `IOException`

## Method Details

### getConstructor

public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`

### serialize

public void serialize(DataOutput output) throws IOException

Specified by:
  `serialize` in class `TdApi.Object`
Throws:
  `IOException`

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`